<aside class="main-sidebar">

  <!-- sidebar: style can be found in sidebar.less -->
  <section class="sidebar">

    <!-- Sidebar Menu -->
    <ul class="sidebar-menu" data-widget="tree" *ngIf="showSettings">
      <li class="header">Options</li>
      <!-- Optionally, you can add icons to the links -->
      <li class="treeview">
        <a><i class="fa fa-language"></i> <span>Programming Language</span>
        </a>
        <ul id="programmingLanguageMenu" class="treeview-menu">
          <li *ngFor="let lan of supportedLanguages; let i = index" (click)="liLanguageClick(lan.name, i)">
            <a><span>{{lan.name}}</span><i *ngIf="lan.selected" class="fa fa-check pull-right"></i></a></li>
        </ul>
      </li>
      <li id="btnManageFileVersions" (click)="btnManageFileVersionsClick()"><a><i
        class="fa fa-file-code-o"></i><span>Manage File Versions</span></a></li>

      <li class="treeview">
        <a><i class="fa fa-th"></i> <span>View Options</span>
        </a>
        <ul id="contentOptionMenu" class="treeview-menu">
          <li><a id="codeAndAstDiffOption" (click)="codeAndAstDiffOptionClick()"><i
            class="fa fa-check pull-right"></i><span>Code + AST Diff</span></a></li>
          <li><a id="codeDiffOption" (click)="codeDiffOptionClick()"><span>Code Diff</span></a></li>
          <li><a id="astDiffOption" (click)="astDiffOptionClick()"><span>AST Diff</span></a></li>
          <li><a id="codeOnlyOption" (click)="codeOnlyOptionClick()"><span>Code Only</span></a></li>
          <li><a id="astOnlyOption" (click)="astOnlyOptionClick()"><span>AST Only</span></a></li>
        </ul>
      </li>

      <li class="header">Code Options</li>

      <li class="enabled" id="syncScroll" (click)="synchronousScrollOptionClick()"><a><i
        class="fa fa-arrows-v"></i><span>Sync. Scrolling (Code)</span></a></li>

      <li class="header">AST Options</li>

      <li class="treeview">
        <a><i class="fa fa-share-alt"></i><span>Tree Orientation</span>
        </a>
        <ul class="treeview-menu">
          <li><a id="horizontalTreeOption" (click)="horizontalTreeOptionClick()"><span>horizontal</span>
            <i class="fa fa-check pull-right" *ngIf="horizontal"></i>
          </a></li>
          <li><a id="verticalTreeOption" (click)="verticalTreeOptionClick()"><span>vertical</span>
            <i class="fa fa-check pull-right" *ngIf="!horizontal"></i>
          </a></li>
        </ul>
      </li>
      <li class="enabled" id="syncZoom" (click)="synchronousZoomOptionClick()"><a><i
        class="fa fa-search-plus"></i><span>Sync. Zooming (AST)</span></a></li>
      <li class="enabled" id="syncCollapse" (click)="synchronousCollapseOptionClick()"><a><i
        class="fa fa-bullseye"></i><span>Sync. Collapse (AST)</span></a></li>
    </ul>
    <!-- /.sidebar-menu -->
  </section>
  <!-- /.sidebar -->
</aside>
